This job view page is being replaced by Spyglass soon. Check out the new job view.
ResultFAILURE
Tests 0 failed / 0 succeeded
Started2020-03-31 18:51
Elapsed6m58s
Revision
Builder89b0a2bf-7380-11ea-901a-3a7046a79cdf
links{u'resultstore': {u'url': u'https://source.cloud.google.com/results/invocations/a73cd4ad-6624-466a-bbad-78d4c433b8c1/targets/test'}}
resultstorehttps://source.cloud.google.com/results/invocations/a73cd4ad-6624-466a-bbad-78d4c433b8c1/targets/test
infra-commitc5591d3c2

No Test Failures!


Error lines from build-log.txt

... skipping 14 lines ...
I0331 18:51:45.276] process 29 exited with code 0 after 0.0m
I0331 18:51:45.277] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0331 18:51:45.277] Root: /workspace
I0331 18:51:45.277] cd to /workspace
I0331 18:51:45.277] Configure environment...
I0331 18:51:45.278] Call:  git show -s --format=format:%ct HEAD
W0331 18:51:45.282] fatal: not a git repository (or any of the parent directories): .git
I0331 18:51:45.283] process 42 exited with code 128 after 0.0m
W0331 18:51:45.283] Unable to print commit date for HEAD
I0331 18:51:45.283] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0331 18:51:45.891] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0331 18:51:46.812] process 43 exited with code 0 after 0.0m
I0331 18:51:46.812] Call:  gcloud config get-value account
I0331 18:51:47.789] process 56 exited with code 0 after 0.0m
I0331 18:51:47.789] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0331 18:51:47.790] Start 1245061060717711360 at ...
I0331 18:51:47.792] Call:  gsutil -q -h Content-Type:application/json cp /tmp/gsutil_QzMBLp gs://kubernetes-jenkins/logs/metrics-kettle/1245061060717711360/started.json
I0331 18:51:50.615] process 69 exited with code 0 after 0.0m
I0331 18:51:50.616] Call:  /workspace/./test-infra/jenkins/../scenarios/execute.py test-infra/kettle/monitor.py -- --stale=6 --table k8s-gubernator:build.all k8s-gubernator:build.week k8s-gubernator:build.day
W0331 18:51:50.650] Run: ('test-infra/kettle/monitor.py', '--stale=6', '--table', 'k8s-gubernator:build.all', 'k8s-gubernator:build.week', 'k8s-gubernator:build.day')
I0331 18:58:23.802] ERROR: table k8s-gubernator:build.all is 11.9 hours old. Max allowed: 6 hours.
I0331 18:58:23.802] ERROR: table k8s-gubernator:build.week is 12.1 hours old. Max allowed: 6 hours.
I0331 18:58:23.803] ERROR: table k8s-gubernator:build.day is 11.6 hours old. Max allowed: 6 hours.
I0331 18:58:23.803] Collected data:
I0331 18:58:23.803] bigquery,db=k8s-gubernator:build.all modified_time=1585637957838i,row_count=15600237i,size_bytes=324156741220i
I0331 18:58:23.803] bigquery,db=k8s-gubernator:build.week modified_time=1585637111949i,row_count=96169i,size_bytes=4542246879i
I0331 18:58:23.803] bigquery,db=k8s-gubernator:build.day modified_time=1585638874894i,row_count=20413i,size_bytes=735920500i
I0331 18:58:23.803] 
W0331 18:58:23.889] Traceback (most recent call last):
... skipping 22 lines ...
W0331 18:58:23.892]     self.send(msg)
W0331 18:58:23.892]   File "/usr/lib/python3.6/http/client.py", line 974, in send
W0331 18:58:23.892]     self.connect()
W0331 18:58:23.893]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 184, in connect
W0331 18:58:23.893]     conn = self._new_conn()
W0331 18:58:23.893]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 169, in _new_conn
W0331 18:58:23.893]     self, "Failed to establish a new connection: %s" % e
W0331 18:58:23.893] urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPConnection object at 0x7fb3ba29bda0>: Failed to establish a new connection: [Errno 110] Connection timed out
W0331 18:58:23.893] 
W0331 18:58:23.893] During handling of the above exception, another exception occurred:
W0331 18:58:23.893] 
W0331 18:58:23.893] Traceback (most recent call last):
W0331 18:58:23.893]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 449, in send
W0331 18:58:23.894]     timeout=timeout
W0331 18:58:23.894]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connectionpool.py", line 720, in urlopen
W0331 18:58:23.894]     method, url, error=e, _pool=self, _stacktrace=sys.exc_info()[2]
W0331 18:58:23.894]   File "/usr/local/lib/python3.6/dist-packages/urllib3/util/retry.py", line 436, in increment
W0331 18:58:23.894]     raise MaxRetryError(_pool, url, error or ResponseError(cause))
W0331 18:58:23.894] urllib3.exceptions.MaxRetryError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7fb3ba29bda0>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0331 18:58:23.894] 
W0331 18:58:23.895] During handling of the above exception, another exception occurred:
W0331 18:58:23.895] 
W0331 18:58:23.895] Traceback (most recent call last):
W0331 18:58:23.895]   File "test-infra/kettle/monitor.py", line 116, in <module>
W0331 18:58:23.895]     sys.exit(main(sys.argv[1:]))
... skipping 12 lines ...
W0331 18:58:23.897]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 533, in request
W0331 18:58:23.897]     resp = self.send(prep, **send_kwargs)
W0331 18:58:23.897]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 646, in send
W0331 18:58:23.897]     r = adapter.send(request, **kwargs)
W0331 18:58:23.898]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 516, in send
W0331 18:58:23.898]     raise ConnectionError(e, request=request)
W0331 18:58:23.898] requests.exceptions.ConnectionError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7fb3ba29bda0>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0331 18:58:23.898] Traceback (most recent call last):
W0331 18:58:23.898]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 50, in <module>
W0331 18:58:23.898]     main(ARGS.env, ARGS.cmd + ARGS.args)
W0331 18:58:23.899]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 41, in main
W0331 18:58:23.899]     check(*cmd)
W0331 18:58:23.899]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 30, in check
W0331 18:58:23.899]     subprocess.check_call(cmd)
W0331 18:58:23.899]   File "/usr/lib/python2.7/subprocess.py", line 190, in check_call
W0331 18:58:23.899]     raise CalledProcessError(retcode, cmd)
W0331 18:58:23.899] subprocess.CalledProcessError: Command '('test-infra/kettle/monitor.py', '--stale=6', '--table', 'k8s-gubernator:build.all', 'k8s-gubernator:build.week', 'k8s-gubernator:build.day')' returned non-zero exit status 1
E0331 18:58:23.900] Command failed
I0331 18:58:23.900] process 251 exited with code 1 after 6.6m
E0331 18:58:23.900] FAIL: metrics-kettle
I0331 18:58:23.900] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0331 18:58:24.432] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0331 18:58:25.104] process 255 exited with code 0 after 0.0m
I0331 18:58:25.104] Call:  gcloud config get-value account
I0331 18:58:26.026] process 267 exited with code 0 after 0.0m
I0331 18:58:26.027] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0331 18:58:26.027] Upload result and artifacts...
I0331 18:58:26.027] Gubernator results at https://gubernator.k8s.io/build/kubernetes-jenkins/logs/metrics-kettle/1245061060717711360
W0331 18:58:26.027] Missing local artifacts : /workspace/_artifacts
W0331 18:58:26.028] metadata path /workspace/_artifacts/metadata.json does not exist
W0331 18:58:26.028] metadata not found or invalid, init with empty metadata
I0331 18:58:26.028] Call:  git rev-parse HEAD
W0331 18:58:26.032] fatal: not a git repository (or any of the parent directories): .git
E0331 18:58:26.033] Command failed
I0331 18:58:26.033] process 280 exited with code 128 after 0.0m
I0331 18:58:26.033] Call:  git rev-parse HEAD
I0331 18:58:26.039] process 281 exited with code 0 after 0.0m
I0331 18:58:26.039] Call:  gsutil stat gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json
I0331 18:58:27.686] process 282 exited with code 0 after 0.0m
I0331 18:58:27.687] Call:  gsutil -q cat 'gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json#1585677454652015'
... skipping 8 lines ...